### File

`packages/ecl/components/ecl-menu/events/ecl-menu-item.event.ts`

### Extends

`EclDomEvent`

### Index

###### Properties
Public domEvent Public menuItem
###### Methods
Public preventDefault

### Constructor

`constructor(menuItem: EclMenuItem, domEvent: MouseEvent)`
Parameters :
Name | Type | Optional
menuItem | `EclMenuItem` | No
domEvent | `MouseEvent` | No

### Properties

Public domEvent
Type : `MouseEvent`

Public menuItem
Type : `EclMenuItem`

### Methods

Public preventDefault
`preventDefault()`
Returns : `void`

# results matching ""

# No results matching ""